<?php
/**
* Class Document System
*
* @copyright CONTREXX CMS - Astalavista IT Engineering GmbH Thun
* @author Astalavista Development Team <thun@astalvista.ch>        
* @module docsys
* @modulegroups modules                    
* @access public
* @version 1.0.0                                        
*/


class docSysLibrary
{	
    /**
    * Gets the categorie option menu string
    *
    * @global    object     $db
    * @global    string     $_LANGID
    * @param     string     $lang
    * @param     string     $selectedOption
    * @return    string     $modulesMenu                                                                              
    */
    function getCategoryMenu($langId, $selectedCatId="")
    {
	    global $db;
	    
	    $strMenu = "";      
        $query="SELECT catid, 
                       name 
                  FROM ".DBPREFIX."module_docsys_categories 
                 WHERE lang=".$langId." 
              ORDER BY catid";
         
        $db->query($query);
	    while($db->next_record()){
		    $selected = "";
		    if($selectedCatId==$db->f('catid')){
			    $selected = "selected";
		    }
		    $strMenu .="<option value=\"".$db->f('catid')."\" $selected>".stripslashes($db->f('name'))."</option>\n"; 
	    }
	    return $strMenu;
    }
}
?>